%define oname   rest-client

Name:       ruby-%{oname}
Version:    2.1.0
Release:    %mkrel 6
Summary:    A simple HTTP and REST client for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://yehudakatz.com/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple HTTP and REST client for Ruby, inspired by the Sinatra 
microframework style of specifying actions: get, put, post, delete

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
A simple HTTP and REST client for Ruby

#-------------------------------------------------------------------------------

%prep
%gem_setup

%gemspec_remove_dep -g http-accept
%gemspec_add_dep -g http-accept '< 3.0'

%build
%gem_build

%install
%gem_install

%files
%_bindir/restclient
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.1.0-6.mga10
+ Revision: 2234705
- Mageia 10 Mass Rebuild

* Sat Jan 25 2025 neoclust <neoclust> 2.1.0-5.mga10
+ Revision: 2142086
- Rebuild to fix auto requires

* Sun Dec 04 2022 danf <danf> 2.1.0-4.mga10
+ Revision: 1916938
+ rebuild (emptylog)

* Fri Mar 25 2022 umeabot <umeabot> 2.1.0-4.mga9
+ Revision: 1826942
- Mageia 9 Mass Rebuild

* Fri Dec 25 2020 guillomovitch <guillomovitch> 2.1.0-3.mga8
+ Revision: 1663691
- rebuild for automatic dependencies

* Tue Dec 22 2020 neoclust <neoclust> 2.1.0-2.mga8
+ Revision: 1662841
- Fix deps for http-accept to match the version we have in mageia 8

* Sat Mar 28 2020 pterjan <pterjan> 2.1.0-1.mga8
+ Revision: 1561513
- Update to 2.1.0

* Wed Feb 12 2020 umeabot <umeabot> 2.0.2-3.mga8
+ Revision: 1507914
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.0.2-2.mga7
+ Revision: 1291209
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 2.0.2-1.mga7
+ Revision: 1142181
- Update to 2.0.2
+ bcornec <bcornec>
- Remove a duplicated files entry for doc

* Sat Aug 06 2016 neoclust <neoclust> 2.0.0-1.mga6
+ Revision: 1044755
- New version 2.0.0

* Wed Oct 15 2014 umeabot <umeabot> 1.6.7-9.mga5
+ Revision: 751033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.7-8.mga5
+ Revision: 688930
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.6.7-7.mga4
+ Revision: 562428
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.6.7-6.mga4
+ Revision: 538275
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 1.6.7-5.mga4
+ Revision: 489153
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.6.7-4.mga3
+ Revision: 396385
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.7-3.mga3
+ Revision: 381350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.6.7-2.mga3
+ Revision: 313648
- rebuild for new ruby

* Thu Jun 07 2012 shlomif <shlomif> 1.6.7-1.mga3
+ Revision: 256898
- Correct a typo
+ solbu <solbu>
- New version
- Spec cleanup

* Sun Apr 17 2011 shikamaru <shikamaru> 1.6.1-1.mga1
+ Revision: 86996
- imported package ruby-rest-client


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.6.1-1
- Initial package
